> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/remittance-api/common.md).

# Common

Introduce the input and output parameters of the request

### **Request Header**

| Name                                           | Type   | Description                     |
| ---------------------------------------------- | ------ | ------------------------------- |
| Content-Type<mark style="color:red;">\*</mark> | string | application/json; charset=UTF-8 |

### **Request Body**

<table><thead><tr><th width="259">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>partner_id<mark style="color:red;">*</mark></td><td>string</td><td>Assigned by Pagsmile</td></tr><tr><td>app_id<mark style="color:red;">*</mark></td><td>string</td><td>Created app's id at dashboard</td></tr><tr><td>timestamp<mark style="color:red;">*</mark></td><td>string</td><td>yyyy-MM-dd HH:mm:ss - Max. 19 chars -</td></tr><tr><td>version<mark style="color:red;">*</mark></td><td>string</td><td>Remittance API protocol version.<br>Fixed value: <code>2.0</code>.</td></tr><tr><td>language</td><td>string</td><td>default：en</td></tr><tr><td>random_key<mark style="color:red;">*</mark></td><td>string</td><td>AES key Randomly generated, encrypted by Pagsmile RSA public key. When bizData exists, randomKey must exist.</td></tr><tr><td>request_id<mark style="color:red;">*</mark></td><td>string</td><td>Request serial number, globally unique.</td></tr><tr><td>sign_type<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value: RSA</td></tr><tr><td>biz_data<mark style="color:red;">*</mark></td><td>string</td><td>AES-encrypted business payload.<br>The decrypted value is a business object.</td></tr></tbody></table>

{% hint style="info" %}
biz\_data is business param，other parameters belong to public parameters
{% endhint %}

### Request example

Send the following JSON body to the endpoint specified by the API using Content-Type: application/json; charset=UTF-8. Replace the placeholders with your assigned identifiers and generated request values. Encrypt the endpoint-specific business object into biz\_data and encrypt the AES key into random\_key according to Security.

```json
{
  "partner_id": "<your_partner_id>",
  "app_id": "<your_app_id>",
  "timestamp": "2026-10-27 10:30:00",
  "version": "2.0",
  "language": "en",
  "random_key": "<RSA-encrypted AES key>",
  "request_id": "<globally_unique_request_id>",
  "sign_type": "RSA",
  "biz_data": "<AES-encrypted biz_data>"
}
```

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```json
{
  "code": "10000",
  "msg": "Success",
  "data": "<AES-encrypted response data>",
  "total": 1,
  "random_key": "<RSA-encrypted AES key>",
  "sign_type": "RSA",
  "app_id": "2017051914172236111"
}
```

{% endtab %}
{% endtabs %}

| Name        | Type    | Description                                                                                                                                                                                                                                              |
| ----------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| code        | string  | <p>Response code.<br><code>10000</code> — Success.<br><code>10095</code> — Duplicate external request number.<br><code>10096</code> — Insufficient permissions.<br><code>other</code> — Other response codes. Refer to <code>msg</code> for details.</p> |
| msg         | string  | Message                                                                                                                                                                                                                                                  |
| data        | string  | <p>AES-encrypted business result.<br>The decrypted value is an object or a list.</p>                                                                                                                                                                     |
| total       | integer | Business result total                                                                                                                                                                                                                                    |
| random\_key | string  | Randomly generated, encrypted by partner RSA public key. When data exists, randomKey must exist                                                                                                                                                          |
| sign\_type  | string  | Fixed value: RSA                                                                                                                                                                                                                                         |
| app\_id     | string  | Created app's id at Dashboard                                                                                                                                                                                                                            |
